%define module  Devel-StackTrace
%define version 1.03
%define release 3mdk
%define	pdir	Devel


Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{version}.tar.bz2
Url: 		http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	perl , perl-base 
BuildRequires:	perl-devel

%description
%{module} module for perl.  Simple objects to deal with stack traces.
The parent object, Devel::StackTrace, holds a number of
Devel::StackTraceFrame objects (which have the same information as is
returned from caller()).  You can step through these frames forwards
and backwards as you want or retrieve specific frames.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{module}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%{perl_vendorlib}/Devel/*
%{_mandir}/*/*

%changelog
* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.03-3mdk
- rebuild for new auto{prov,req}

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.03-2mdk
- rebuild

* Wed Jan 29 2003 Franois Pons <fpons@mandrakesoft.com> 1.03-1mdk
- 1.03.

* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 1.02-1mdk
- 1.02.

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9-3mdk
- fix requires

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9-2mdk
- rebuild with new perl

* Mon Jun 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9-1mdk
- from Peter Chen <petechen@netilla.com> :
	- 0.9
